Skip to content
Start here

List Apps

client.magicTransit.apps.list(AppListParams { account_id } params, RequestOptionsoptions?): SinglePage<AppListResponse>
GET/accounts/{account_id}/magic/apps

Lists Apps associated with an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
params: AppListParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
AppListResponse = MagicAccountApp { account_app_id, hostnames, ip_subnets, 3 more } | MagicManagedApp { managed_app_id, hostnames, ip_subnets, 3 more }

Collection of Hostnames and/or IP Subnets to associate with traffic decisions.

One of the following:
MagicAccountApp { account_app_id, hostnames, ip_subnets, 3 more }

Custom app defined for an account.

account_app_id: string

Magic account app ID.

hostnames?: Array<string>

FQDNs to associate with traffic decisions.

ip_subnets?: Array<string>

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

name?: string

Display name for the app.

source_subnets?: Array<string>

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

type?: string

Category of the app.

MagicManagedApp { managed_app_id, hostnames, ip_subnets, 3 more }

Managed app defined by Cloudflare.

managed_app_id: string

Managed app ID.

hostnames?: Array<string>

FQDNs to associate with traffic decisions.

ip_subnets?: Array<string>

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

name?: string

Display name for the app.

source_subnets?: Array<string>

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

type?: string

Category of the app.

List Apps

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const appListResponse of client.magicTransit.apps.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(appListResponse);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
      "hostnames": [
        "auth.cloudflare.com"
      ],
      "ip_subnets": [
        "192.0.2.0/24"
      ],
      "name": "Cloudflare Dashboard",
      "source_subnets": [
        "192.0.2.0/24"
      ],
      "type": "Development"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
      "hostnames": [
        "auth.cloudflare.com"
      ],
      "ip_subnets": [
        "192.0.2.0/24"
      ],
      "name": "Cloudflare Dashboard",
      "source_subnets": [
        "192.0.2.0/24"
      ],
      "type": "Development"
    }
  ],
  "success": true
}